%define module_name	lirc
%define module_version	0.7.0
%define module_release	alt14.132125.9

%define kversion	2.4.29
%define krelease	alt9
%define flavour		std-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	Drivers for LIRC devices
Name:		kernel-modules-%module_name-%flavour
Version:	1.0.%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1:		lirc-0.7.0-i2c_fixes-revert.patch

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-v4l-%kversion-%flavour-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%define v4l_release_file %_usrsrc/linux-%kversion-%flavour/kernel-modules-v4l.release
%([ -s "%v4l_release_file" ] && echo "PreReq: $(cat "%v4l_release_file")")

ExclusiveArch:	%ix86

%description
Support for LIRC devices.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p0

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd drivers
subst "s%\"../drivers/media/video/bttv\(p\?\)\.h\"%<bttv\\1\.h>%" */*
for f in `ls | grep lirc_`; do
    [ "$f" == "lirc_parallel" -a -n "`echo '%flavour'|grep 'smp'`" ] && continue
    %make_build -C $f $f.o HEADERS=%_includedir/linux-%kversion-%flavour/include CC=gcc CFLAGS="-O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -mpreferred-stack-boundary=2 -march=i586 -DMODVERSIONS -include %_includedir/linux-%kversion-%flavour/include/linux/modversions.h -I%_usrsrc/linux-%kversion-%flavour/drivers/media/video/"
done

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
cd drivers
for f in `ls | grep lirc_`; do
    [ "$f" == "lirc_parallel" -a -n "`echo '%flavour'|grep 'smp'`" ] && continue
    cp $f/$f.o $RPM_BUILD_ROOT/%module_dir/
done

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt14.132125.9
- Added lirc-0.7.0-i2c_fixes-revert.patch: revert i2c "fixes" made for
  i2c-2.8.x which are incompatible with i2c-2.9.x.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt13.132125.9
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt12.132125.9
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt11.132125.9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt10.132125.9
- Rebuild for kernel 2.4.26.

* Sun Apr 04 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt9.132125.9
- Rebuild with updated kernel-modules-v4l.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt8.132125.9
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt7.132125.9
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt6.132125.9
- Rebuild with updated kernel-modules-v4l.
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Thu Oct 30 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt5.132125.9
- Rebuild with updated kernel-modules-v4l.

* Tue Oct 14 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt4.132125.9
- Added PreReq for appropriate version of kernel-modules-v4l.

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt3.132125.9
- BuildRequires changed for new w4l

* Tue Sep 30 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt2.132125.9
- fixed compilation options (problems with MODVERSIONS)

* Fri Sep 19 2003 Kachalov Anton <mouse@altlinux.ru> 1.0.0.7.0-alt1.132125.9
- first build
